FORMS(3)

NAME
dynamic_field_info, field_info - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
int
dynamic_field_info(FIELD *field, int *drows, int *dcols, int *max);
int
field_info(FIELD *field, int *rows, int *cols, int *frow, int *fcol, int *nrow, int *nbuf);

DESCRIPTION
The function dynamic_field_info() returns the sizing information for the field given. The function will return the number of rows, columns and the maximum growth of the field in the storage pointed to by the drows, dcols and max parameters respectively. Dynamic field information cannot be requested for the default field. If the field given is not dynamic then dynamic_field_info() will simply return the size of the actual field. The field_info() will return the number or rows, columns, field starting row, field starting column, number of off screen rows and number of buffers in rows, cols, frow, fcol, nrow and nbuf respectively.

RETURN VALUES
The functions will return one of the following error values:

E_OK
    The function was successful.
E_BAD_ARGUMENT
    A bad argument was passed to the function.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.